Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Worker_Task Class Reference

TAO_Notify_Worker_Task. More...

`#include <Notify_Worker_Task.h>`

Inheritance diagram for TAO_Notify_Worker_Task:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Worker_Task (void)
| Constructor. More...
virtual | ~TAO_Notify_Worker_Task ()
virtual int | init_task (TAO_Notify_AdminProperties *const admin_properties, TAO_Notify_QoSAdmin_i *const qos_properties)
| Init the task. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown this task. More...
virtual int | process_event (TAO_Notify_Command *mb ACE_ENV_ARG_DECL, ACE_Time_Value *tv=0)
| Process the command. More...
virtual void | update_admin (TAO_Notify_AdminProperties &admin)
virtual void | update_qos (TAO_Notify_QoSAdmin_i &qos_admin)

## Detailed Description

TAO_Notify_Worker_Task.

A worker task that we use for various event processing jobs. Also see TAO_Notify_Command - This task executes Notify_Command objects. This implementation simply executes the command.

## Constructor & Destructor Documentation

TAO_Notify_Worker_Task::TAO_Notify_Worker_Task | ( | void |  | ) |

| Constructor.

TAO_Notify_Worker_Task::~TAO_Notify_Worker_Task | ( |  | ) | `[virtual]`

## Member Function Documentation

int TAO_Notify_Worker_Task::init_task | ( | TAO_Notify_AdminProperties *const | admin_properties,
|  | TAO_Notify_QoSAdmin_i *const | qos_properties
| ) | `[virtual]`

| Init the task. Reimplemented in TAO_Notify_MT_Worker_Task.

int TAO_Notify_Worker_Task::process_event | ( | TAO_Notify_Command *mb | ACE_ENV_ARG_DECL,
|  | ACE_Time_Value * | tv = 0
| ) | `[virtual]`

| Process the command. Reimplemented in TAO_Notify_MT_Worker_Task.

void TAO_Notify_Worker_Task::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown this task. Reimplemented in TAO_Notify_MT_Worker_Task.

void TAO_Notify_Worker_Task::update_admin | ( | TAO_Notify_AdminProperties & | admin | ) | `[virtual]`

| Reimplemented in TAO_Notify_MT_Worker_Task.

void TAO_Notify_Worker_Task::update_qos | ( | TAO_Notify_QoSAdmin_i & | qos_admin | ) | `[virtual]`

| Reimplemented in TAO_Notify_MT_Worker_Task.

The documentation for this class was generated from the following files:

- Notify_Worker_Task.h
- Notify_Worker_Task.cpp